## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseasesqlmodelFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseasesqlmodelFactoryImpl

All Implemented Interfaces:
  SybaseasesqlmodelFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseasesqlmodelFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements SybaseasesqlmodelFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseasesqlmodelFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseasesqlmodelFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertAccessRuleTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertCacheStrategyTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLockingSchemaTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertProxyTableExternalTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSybaseASECatalogTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertTransactionModeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AccessRuleType` `createAccessRuleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`CacheInfo` `createCacheInfo()`
`CacheStrategyType` `createCacheStrategyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`DeviceItem` `createDeviceItem()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LockingSchemaType` `createLockingSchemaTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LockPromotionInfo` `createLockPromotionInfo()`
`ProxyTableExternalType` `createProxyTableExternalTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SegmentThreshold` `createSegmentThreshold()`
`SybaseASEBaseTable` `createSybaseASEBaseTable()`
`SybaseASECache` `createSybaseASECache()`
`SybaseASECatalog` `createSybaseASECatalog()`
`SybaseASECatalogType` `createSybaseASECatalogTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SybaseASECheckConstraint` `createSybaseASECheckConstraint()`
`SybaseASEColumn` `createSybaseASEColumn()`
`SybaseASEColumnCheckConstraint` `createSybaseASEColumnCheckConstraint()`
`SybaseASEDatabase` `createSybaseASEDatabase()`
`SybaseASEDefault` `createSybaseASEDefault()`
`SybaseASEEncryptionKey` `createSybaseASEEncryptionKey()`
`SybaseASEFuncBasedIndexMember` `createSybaseASEFuncBasedIndexMember()`
`SybaseASEGroup` `createSybaseASEGroup()`
`SybaseASEIndex` `createSybaseASEIndex()`
`SybaseASEPredefinedDataType` `createSybaseASEPredefinedDataType()`
`SybaseASEPrimaryKey` `createSybaseASEPrimaryKey()`
`SybaseASEPrivilege` `createSybaseASEPrivilege()`
`SybaseASEProcedure` `createSybaseASEProcedure()`
`SybaseASEProxyTable` `createSybaseASEProxyTable()`
`SybaseASERole` `createSybaseASERole()`
`SybaseASERule` `createSybaseASERule()`
`SybaseASESchema` `createSybaseASESchema()`
`SybaseASESegment` `createSybaseASESegment()`
`SybaseASETable` `createSybaseASETable()`
`SybaseASETempTable` `createSybaseASETempTable()`
`SybaseASETrigger` `createSybaseASETrigger()`
`SybaseASEUniqueConstraint` `createSybaseASEUniqueConstraint()`
`SybaseASEUser` `createSybaseASEUser()`
`SybaseASEUserDefinedType` `createSybaseASEUserDefinedType()`
`SybaseASEViewTable` `createSybaseASEViewTable()`
`SybaseASEWebService` `createSybaseASEWebService()`
`SybaseASEWebServiceTable` `createSybaseASEWebServiceTable()`
`TransactionModeType` `createTransactionModeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`static SybaseasesqlmodelPackage` `getPackage()` Deprecated.
`SybaseasesqlmodelPackage` `getSybaseasesqlmodelPackage()`
`static SybaseasesqlmodelFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseasesqlmodelFactoryImpl

    public SybaseasesqlmodelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SybaseasesqlmodelFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSybaseASESchema

    public SybaseASESchema createSybaseASESchema()

  Specified by:
    `createSybaseASESchema` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Schema'.

### createSybaseASEDatabase

    public SybaseASEDatabase createSybaseASEDatabase()

  Specified by:
    `createSybaseASEDatabase` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Database'.

### createSybaseASEWebService

    public SybaseASEWebService createSybaseASEWebService()

  Specified by:
    `createSybaseASEWebService` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Web Service'.

### createSybaseASEPredefinedDataType

    public SybaseASEPredefinedDataType createSybaseASEPredefinedDataType()

  Specified by:
    `createSybaseASEPredefinedDataType` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Predefined Data Type'.

### createSybaseASECatalog

    public SybaseASECatalog createSybaseASECatalog()

  Specified by:
    `createSybaseASECatalog` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Catalog'.

### createSybaseASEProcedure

    public SybaseASEProcedure createSybaseASEProcedure()

  Specified by:
    `createSybaseASEProcedure` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Procedure'.

### createSybaseASEDefault

    public SybaseASEDefault createSybaseASEDefault()

  Specified by:
    `createSybaseASEDefault` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Default'.

### createSybaseASERule

    public SybaseASERule createSybaseASERule()

  Specified by:
    `createSybaseASERule` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Rule'.

### createSybaseASEIndex

    public SybaseASEIndex createSybaseASEIndex()

  Specified by:
    `createSybaseASEIndex` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Index'.

### createSybaseASESegment

    public SybaseASESegment createSybaseASESegment()

  Specified by:
    `createSybaseASESegment` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Segment'.

### createSybaseASEFuncBasedIndexMember

    public SybaseASEFuncBasedIndexMember createSybaseASEFuncBasedIndexMember()

  Specified by:
    `createSybaseASEFuncBasedIndexMember` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Func Based Index Member'.

### createSybaseASETable

    public SybaseASETable createSybaseASETable()

  Specified by:
    `createSybaseASETable` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Table'.

### createSybaseASEColumnCheckConstraint

    public SybaseASEColumnCheckConstraint createSybaseASEColumnCheckConstraint()

  Specified by:
    `createSybaseASEColumnCheckConstraint` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Column Check Constraint'.

### createSybaseASEColumn

    public SybaseASEColumn createSybaseASEColumn()

  Specified by:
    `createSybaseASEColumn` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Column'.

### createSybaseASEUniqueConstraint

    public SybaseASEUniqueConstraint createSybaseASEUniqueConstraint()

  Specified by:
    `createSybaseASEUniqueConstraint` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Unique Constraint'.

### createSybaseASEPrimaryKey

    public SybaseASEPrimaryKey createSybaseASEPrimaryKey()

  Specified by:
    `createSybaseASEPrimaryKey` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Primary Key'.

### createDeviceItem

    public DeviceItem createDeviceItem()

  Specified by:
    `createDeviceItem` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Device Item'.

### createSegmentThreshold

    public SegmentThreshold createSegmentThreshold()

  Specified by:
    `createSegmentThreshold` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Segment Threshold'.

### createCacheInfo

    public CacheInfo createCacheInfo()

  Specified by:
    `createCacheInfo` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Cache Info'.

### createSybaseASEUserDefinedType

    public SybaseASEUserDefinedType createSybaseASEUserDefinedType()

  Specified by:
    `createSybaseASEUserDefinedType` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE User Defined Type'.

### createSybaseASEEncryptionKey

    public SybaseASEEncryptionKey createSybaseASEEncryptionKey()

  Specified by:
    `createSybaseASEEncryptionKey` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Encryption Key'.

### createLockPromotionInfo

    public LockPromotionInfo createLockPromotionInfo()

  Specified by:
    `createLockPromotionInfo` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Lock Promotion Info'.

### createSybaseASERole

    public SybaseASERole createSybaseASERole()

  Specified by:
    `createSybaseASERole` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Role'.

### createSybaseASECache

    public SybaseASECache createSybaseASECache()

  Specified by:
    `createSybaseASECache` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Cache'.

### createSybaseASEViewTable

    public SybaseASEViewTable createSybaseASEViewTable()

  Specified by:
    `createSybaseASEViewTable` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE View Table'.

### createSybaseASETempTable

    public SybaseASETempTable createSybaseASETempTable()

  Specified by:
    `createSybaseASETempTable` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Temp Table'.

### createSybaseASEProxyTable

    public SybaseASEProxyTable createSybaseASEProxyTable()

  Specified by:
    `createSybaseASEProxyTable` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Proxy Table'.

### createSybaseASEWebServiceTable

    public SybaseASEWebServiceTable createSybaseASEWebServiceTable()

  Specified by:
    `createSybaseASEWebServiceTable` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Web Service Table'.

### createSybaseASEBaseTable

    public SybaseASEBaseTable createSybaseASEBaseTable()

  Specified by:
    `createSybaseASEBaseTable` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Base Table'.

### createSybaseASEUser

    public SybaseASEUser createSybaseASEUser()

  Specified by:
    `createSybaseASEUser` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE User'.

### createSybaseASEGroup

    public SybaseASEGroup createSybaseASEGroup()

  Specified by:
    `createSybaseASEGroup` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Group'.

### createSybaseASEPrivilege

    public SybaseASEPrivilege createSybaseASEPrivilege()

  Specified by:
    `createSybaseASEPrivilege` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Privilege'.

### createSybaseASETrigger

    public SybaseASETrigger createSybaseASETrigger()

  Specified by:
    `createSybaseASETrigger` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Trigger'.

### createSybaseASECheckConstraint

    public SybaseASECheckConstraint createSybaseASECheckConstraint()

  Specified by:
    `createSybaseASECheckConstraint` in interface `SybaseasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASE Check Constraint'.

### createTransactionModeTypeFromString

    public TransactionModeType createTransactionModeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertTransactionModeTypeToString

    public java.lang.String convertTransactionModeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createCacheStrategyTypeFromString

    public CacheStrategyType createCacheStrategyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertCacheStrategyTypeToString

    public java.lang.String convertCacheStrategyTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createLockingSchemaTypeFromString

    public LockingSchemaType createLockingSchemaTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertLockingSchemaTypeToString

    public java.lang.String convertLockingSchemaTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createProxyTableExternalTypeFromString

    public ProxyTableExternalType createProxyTableExternalTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertProxyTableExternalTypeToString

    public java.lang.String convertProxyTableExternalTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

### createAccessRuleTypeFromString

    public AccessRuleType createAccessRuleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertAccessRuleTypeToString

    public java.lang.String convertAccessRuleTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createSybaseASECatalogTypeFromString

    public SybaseASECatalogType createSybaseASECatalogTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

### convertSybaseASECatalogTypeToString

    public java.lang.String convertSybaseASECatalogTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

### getSybaseasesqlmodelPackage

    public SybaseasesqlmodelPackage getSybaseasesqlmodelPackage()

  Specified by:
    `getSybaseasesqlmodelPackage` in interface `SybaseasesqlmodelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SybaseasesqlmodelPackage getPackage()

  Deprecated.